/* Entity Details Sidenav */
.sidebar {
  width: 0;
  right: 0;
  top: 128px;
  position: fixed;
  background-color: #eee;
  overflow: auto;
  height: calc(100% - 410px);
  padding: 8px 15px 15px 15px;
  display: none;

  &.sidebar-expanded {
    width: 40%;
    display: block;
  }
}

#main.sidebar-expanded {
  margin-right: 40%;
  padding-right: 65px;
}

.selection-history {
  padding: 8px 15px 0px 15px;
}

.sidebar-expanded .entity-details .entity-grid .grid-item:hover,
.sidebar-expanded .collection-details .entity-grid .grid-item:hover {
  box-shadow: 0 2px 1px -1px rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.14),
    0 1px 3px 0 rgba(0, 0, 0, 0.12);
}

.sidebar-expanded .collection-details .entity-grid {
  display: grid;
  grid-gap: 1em;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
}

.sidebar.sidebar-expanded .close-sidebar-button {
  position: fixed;
  right: 5px;
  transform: scale(0.75);
  z-index: 5;
  background-color: #ccc;
}

mat-option {
  mat-icon {
    position: absolute;
    right: 0;
    top: 5px;
  }
}

#password-protection,
#compilation-fingerprint {
  margin-bottom: 10px;
}

.grid-item {
  width: 100%;

  mat-icon {
    &.help {
      cursor: help;
    }

    &.button {
      cursor: pointer;
    }
  }
}

.quick-add-button {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  font-weight: 400;
  mat-icon {
    margin-right: 0.3rem;
  }
  * {
    padding-right: 0.4rem;
  }
}

.content {
  box-sizing: border-box;
  flex-direction: column;
  display: flex;
}

.paginator-container {
  flex-direction: row;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
